from flask import request, jsonify
from flask_restx import Resource, Namespace, reqparse

from app.defines import StatesCode

ns = Namespace('data', description='数据管理接口')


@ns.route('/statement_list')
class StatementConfigListApi(Resource):
    def get(self):
        """获取报表模版列表"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')


@ns.route('/statement')
class StatementConfigApi(Resource):

    def get(self):
        """获取报表模版"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')

    def post(self):
        """添加报表模版"""
        return jsonify(code=StatesCode.SUCCESS, message='添加成功', data='')

    def put(self):
        """删除报表模版"""
        return jsonify(code=StatesCode.SUCCESS, message='修改成功', data='')

    def delete(self):
        """删除报表模版"""

        return jsonify(code=StatesCode.SUCCESS, message='删除成功', data='')


@ns.route('/batch_modify_statement')
class BatchStatementConfig(Resource):
    def delete(self):
        """批量删除报表模版"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')


@ns.route('/report_list')
class StatementConfigListApi(Resource):
    def get(self):
        """获取报告模版列表"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')


@ns.route('/report')
class ReportConfigApi(Resource):

    def get(self):
        """获取模版"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')

    def post(self):
        """添加报告模版"""
        return jsonify(code=StatesCode.SUCCESS, message='添加成功', data='')

    def put(self):
        """修改报告模版"""
        return jsonify(code=StatesCode.SUCCESS, message='修改成功', data='')

    def delete(self):
        """删除报告模版"""

        return jsonify(code=StatesCode.SUCCESS, message='删除成功', data='')


@ns.route('/batch_modify_report')
class BatchStatementConfig(Resource):
    def delete(self):
        """批量删除报告模版"""
        return jsonify(code=StatesCode.SUCCESS, message='删除成功', data='')


@ns.route('/company')
class CompanyApi(Resource):
    def get(self):
        """获取公司基本信息"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')

    def put(self):
        """修改公司基本信息"""
        return jsonify(code=StatesCode.SUCCESS, message='修改成功', data='')


@ns.route('/building_list')
class BuildingListApi(Resource):
    def get(self):
        """获取楼宇列表"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')


@ns.route('/building')
class BuildingApi(Resource):

    def get(self):
        """获取楼宇信息"""
        return jsonify(code=StatesCode.SUCCESS, message='获取成功', data='')

    def post(self):
        """添加楼宇"""
        return jsonify(code=StatesCode.SUCCESS, message='添加成功', data='')

    def put(self):
        """修改楼宇"""
        return jsonify(code=StatesCode.SUCCESS, message='修改成功', data='')

    def delete(self):
        """删除楼宇"""

        return jsonify(code=StatesCode.SUCCESS, message='删除成功', data='')


@ns.route('/underlying_system')
class UnderlyingSystemMessageApi(Resource):
    def post(self):
        """添加底层系统信息"""
        return jsonify(code=StatesCode.SUCCESS, message='添加成功', data='')
