from flask import request, g, jsonify

from app.defines import StatesCode
from app.utils.jwt_util import verify_jwt


def configure(app):
    @app.before_request
    def authenticate():
        """
        这里验证token
        :return:
        """
        token = request.headers.get('token')

        g.user_id = None

        if token:
            payload = verify_jwt(token)

            if payload is not None:
                g.user_id = payload.get('user_id')
            else:
                return jsonify(code=StatesCode.UNKNOWN_ERROR, message='无效的token')
